/* misc.h  -- File access functions definition for NoComprendo */
/*
   Copyright (C) 2019 Bruno ANSELME <be.root@free.fr>

   This file is part of the NoComprendo software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MISCELLANEAOUS_H
#define MISCELLANEAOUS_H

#include <QString>
#include <QRect>

QString     readFile(QString fname);                //!< Read string from file name.
void        writeFile(QString fname, QString txt);  //!< Write string to file name
QRect       getDesktopRect();                       //!< Return dekstop limits

#endif // MISCELLANEAOUS_H
